#!/bin/bash

# check if the spigot is alredy built
cd /usr/games/mcserv

if ls /usr/games/mcserv/spigot*.jar &> /dev/null
then
spigot_filename="$(ls -1 /usr/games/mcserv/spigot*.jar)"
echo "eula=true" > /usr/games/mcserv/eula.txt
java -Xms512M -Xmx1G -XX:MaxPermSize=128M -XX:+UseConcMarkSweepGC -jar "${spigot_filename}"
else
echo "spigot not built yet. rebuilding it"
wget -O /usr/games/mcserv/BuildTools.jar "https://hub.spigotmc.org/jenkins/job/BuildTools/lastSuccessfulBuild/artifact/target/BuildTools.jar"
java -jar BuildTools.jar
fi

